import 'package:flutter/material.dart';
import 'package:flutter/services.dart';
import 'package:ocg_gallery/src/widgets/top_action.dart';
import 'package:photo_view/photo_view.dart';

class ImageScreen extends StatelessWidget {
  final ImageProvider imageProvider;
  final String tag;

  const ImageScreen({Key key, this.imageProvider, this.tag}) : super(key: key);
  @override
  Widget build(BuildContext context) {
    return AnnotatedRegion<SystemUiOverlayStyle>(
      value: SystemUiOverlayStyle.light,
      child: Scaffold(
        backgroundColor: Colors.black,
        body: Stack(
          children: [
            Center(
              child: PhotoView(
                imageProvider: imageProvider,
                heroAttributes: PhotoViewHeroAttributes(tag: tag),
              ),
            ),
            Align(
              alignment: Alignment.topLeft,
              child: SafeArea(
                child: Padding(
                  padding: const EdgeInsets.all(18.0),
                  child: TopActionWidget(
                    child: Icon(
                      Icons.clear,
                      color: Colors.white,
                    ),
                    onTap: () {
                      Navigator.of(context).pop();
                    },
                  ),
                ),
              ),
            )
          ],
        ),
      ),
    );
  }
}
